import { EventEmitter, OnDestroy } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import Cropper from 'cropperjs';
import { SafeUrl } from '@angular/platform-browser';
export interface CropperOutputOptions {
    mimeType: string;
    qualityArgument: number;
}
export interface CropperOptions extends Cropper.Options {
    minCropWidth: number;
    minCropHeight: number;
    outputOptions: CropperOutputOptions;
}
export declare class CropperComponent implements OnDestroy, ControlValueAccessor {
    crop: EventEmitter<CustomEvent<any>>;
    cropMove: EventEmitter<CustomEvent<any>>;
    cropStart: EventEmitter<CustomEvent<any>>;
    cropEnd: EventEmitter<CustomEvent<any>>;
    ready: EventEmitter<CustomEvent<any>>;
    zoom: EventEmitter<CustomEvent<any>>;
    init: EventEmitter<Cropper>;
    fail: EventEmitter<Error>;
    fileChange: EventEmitter<File>;
    options: CropperOptions;
    imageFile: File;
    imageUrl: string;
    dataUrl: string | SafeUrl;
    private cropper;
    private isReady;
    private originalFile;
    private data;
    propagateChange: (value: Cropper.SetDataOptions) => Cropper.SetDataOptions;
    writeValue(value: Cropper.SetDataOptions): void;
    registerOnChange(fn: any): void;
    registerOnTouched(): void;
    ngOnDestroy(): void;
    onImageLoad(event: Event): void;
    private onCrop(event);
    private onCropMove(event);
    private onCropStart(event);
    private onCropEnd(event);
    private onReady(event);
    private onZoom(event);
    private updateFile();
    private correctCropArea();
    private update();
    private destroyCropperIfExists();
}
